Bug 1177213 - Mispackaged .so library
Summary: Mispackaged .so library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipmiutil
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Cress
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-25 07:11 UTC by Michael Schwendt
Modified: 2016-07-03 14:18 UTC (History)
1 user (show)

Fixed In Version: ipmiutil-2.9.9-2.fc24 ipmiutil-2.9.9-3.fc24 ipmiutil-2.9.9-3.el6 ipmiutil-2.9.9-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-28 10:23:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Schwendt 2014-12-25 07:11:21 UTC
The ipmiutil-devel subpackage contains a shared library, which is not a build-time library/symlink, but a _runtime_ library. That library must be included in the base ipmiutil package:

  https://fedoraproject.org/wiki/Packaging:Guidelines#Devel_Packages
  https://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries

[...]

http://koji.fedoraproject.org/koji/rpminfo?rpmID=5798496

Provides 	
ipmiutil-devel = 2.9.5-1.fc22
ipmiutil-devel(x86-64) = 2.9.5-1.fc22
libipmiutil.so()(64bit)

/usr/lib64/libipmiutil.so	195928

Comment 1 Jaroslav Reznik 2015-03-03 16:39:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Andy Cress 2015-06-29 19:52:55 UTC
The ipmiutil shared library (/usr/lib64/libipmiutil.so) is provided only for application development.  It is not currently used by the ipmiutil base package.  

The idea was that an application developer could use the libipmiutil.so library to build their application, and then package the custom application and library in their own package.  
Some of the existing users who build applications with ipmiutil do not always install the ipmiutil base package, only their own application package.  

Nevertheless, providing this as part of the base package should not impede those users from doing what they do now, so this change should be implemented going forward.

Comment 3 Michael Schwendt 2015-06-29 21:00:43 UTC
Well, in cases where you want libraries and tools to be in separate packages, it is common practice to split off a runtime library into a -libs subpackage and treat it like a base package:
  https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package


> The ipmiutil shared library (/usr/lib64/libipmiutil.so) is provided only
> for application development. 

Still it's a runtime lib and not a buildtime-only lib.


> The idea was that an application developer could use the libipmiutil.so
> library to build their application, and then package the custom
> application and library in their own package.  

Again, *anything* that would link with the shared lib would create an automatic dependency on it and as a result pull in the -devel package, which is not a runtime package.

Comment 4 Andy Cress 2015-06-29 21:21:59 UTC
Right.  I see the problem.  I need to change it.

Comment 5 Andy Cress 2015-07-06 19:32:22 UTC
The upstream ipmiutil HEAD now contains this change.  This will be released with ipmiutil version 2.9.7.

Comment 6 Jan Kurik 2015-07-15 14:35:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 7 Fedora Update System 2016-05-16 16:11:21 UTC
ipmiutil-2.9.9-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-80de30b4a6

Comment 8 Fedora Update System 2016-05-16 16:11:38 UTC
ipmiutil-2.9.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-127a76f552

Comment 9 Fedora Update System 2016-05-16 16:11:51 UTC
ipmiutil-2.9.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd32662b31

Comment 10 Fedora Update System 2016-05-16 16:12:05 UTC
ipmiutil-2.9.9-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4a32c9bef0

Comment 11 Fedora Update System 2016-05-17 22:01:18 UTC
ipmiutil-2.9.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd32662b31

Comment 12 Fedora Update System 2016-05-17 22:01:30 UTC
ipmiutil-2.9.9-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-127a76f552

Comment 13 Fedora Update System 2016-05-19 01:06:28 UTC
ipmiutil-2.9.9-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3b1625ecce

Comment 14 Fedora Update System 2016-05-19 01:06:34 UTC
ipmiutil-2.9.9-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6c88ae737e

Comment 15 Fedora Update System 2016-05-19 16:46:37 UTC
ipmiutil-2.9.9-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-80de30b4a6

Comment 16 Fedora Update System 2016-05-19 16:50:37 UTC
ipmiutil-2.9.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4a32c9bef0

Comment 17 Fedora Update System 2016-05-21 01:33:38 UTC
ipmiutil-2.9.9-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6c88ae737e

Comment 18 Fedora Update System 2016-05-21 06:22:30 UTC
ipmiutil-2.9.9-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3b1625ecce

Comment 19 Fedora Update System 2016-05-21 20:26:54 UTC
ipmiutil-2.9.9-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-06-16 23:17:20 UTC
ipmiutil-2.9.9-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-52b5a22806

Comment 21 Fedora Update System 2016-06-16 23:17:41 UTC
ipmiutil-2.9.9-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-03d95d144b

Comment 22 Fedora Update System 2016-06-16 23:17:45 UTC
ipmiutil-2.9.9-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-92d0d926f2

Comment 23 Michael Schwendt 2016-06-17 09:50:04 UTC
ldconfig calls belong into the _base_ package %post and %postun scriptlets only, because ldconfig is related to the runtime linker.

Comment 24 Fedora Update System 2016-06-18 16:19:11 UTC
ipmiutil-2.9.9-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-52b5a22806

Comment 25 Fedora Update System 2016-06-18 16:26:25 UTC
ipmiutil-2.9.9-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-03d95d144b

Comment 26 Fedora Update System 2016-06-18 17:19:47 UTC
ipmiutil-2.9.9-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-92d0d926f2

Comment 27 Fedora Update System 2016-06-28 10:23:26 UTC
ipmiutil-2.9.9-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2016-07-03 08:48:28 UTC
ipmiutil-2.9.9-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2016-07-03 14:18:41 UTC
ipmiutil-2.9.9-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.